header i.fa-file-upload {
	font-size: 2rem;
}


.draghelper {
	position: absolute;
	z-index: 1000;
}

.draghelper.accept {
	transition-property: left, top, width, height;
	transition-timing-function: ease-out;
	transition-duration: 0.2s;
}

.draghelper s {
	display: block;
	position: absolute;
	border-color: rgba(0, 0, 0, 0.2);
	border-style: dotted;
	border-width: 0;

}

.draghelper.accept s {
	border-color: rgba(0, 128, 0, 1);
}

.draghelper s:nth-child(even) {
	border-top-width: 2px;
	width: 100%;
	height: 2px;
	top: 100%;
	left: 100%;
}

.draghelper s:nth-child(odd) {
	border-left-width: 2px;
	width: 2px;
	height: 100%;
	top: 100%;
	left: 100%;
}

.draghelper s:nth-child(3) {
	left: 200%;
}

.draghelper s:nth-child(4) {
	left: 100%;
	top: 200%;
}

/* ******************* CONTEXMENU ************** */
div.contextmenu{
	z-index: 999;
}
ul.contextmenu,
ul.contextmenu ul {
	position: absolute;
	background: #303030;
	color: white;
	z-index: 100;
	left: 0;
	top: 0;
	margin: 0;
	padding: 0;
	text-align: left;
	padding: 5px;
	box-shadow: 7px 17px 17px 1px rgba(0, 0, 0, .07);
}

ul.contextmenu li {
	position: relative;
	display: block;
	margin: 0;
	padding: 0;
	border: 0;
}

ul.contextmenu li hr {
	width: calc(100% + 10px);
	margin: 5px 0 5px -5px;
}

ul.contextmenu a {
	text-decoration: none;
	padding: 5px;
	display: block;
	margin: 0;
	color: white;
	white-space: nowrap;
	font-size: 1.6rem;
	min-width: 50px;
}

ul.contextmenu a:hover,
ul.contextmenu li.selected a,
ul.contextmenu li a.selected {
	background: #000;
}

ul.contextmenu form {
	white-space: nowrap;
}

/* ******************* CONTEXMENU SUB ************** */
ul.contextmenu ul {
	left: 100%;
	visibility: hidden;
	transition: visibility 0.1s;
}

ul.contextmenu li:hover ul {
	visibility: visible;
}

ul.contextmenu ul li a {
}
/************* MESSAGES **************/
div.message pre{
	font-size: 10px;

}
div.message p{
	font-size: 18px;
	margin:0;

}
div.message div p.message:before {
	font-family:"Font Awesome 5 Pro";
	font-weight: bold;
	display: inline-block;
	margin-right: 10px;
}

div.message div.confirm {
	border-bottom: 2px solid green;
}
div.message div.confirm p.message:before {
	color: green;
	content: '\f14a';
}

div.message div.warning {
	border-bottom: 2px solid orange;
}
div.message div.warning p.message:before {
	color: orange;
	content: '\f071';
}

body > .message{
	position: fixed;
	bottom:0;
	left:0;
	right:0;
}

body > .layout > div.message{
	flex:0 0 100%;
}
